Author Topic: Code::Blocks doesn't compile on Ubuntu Linux with wx 2.5  (Read 39619 times)

Offline rickg22

  • Lives here!
  • ****
  • Posts: 2283
Re: Code::Blocks doesn't compile on Ubuntu Linux with wx 2.5
« Reply #45 on: July 29, 2005, 06:37:20 pm »
Version 1.0 is a branch based on wx2.4.2 and is the current stable.

HEAD is the unstable, development branch for use with wx2.6.

Offline Ceniza

  • Developer
  • Lives here!
  • *****
  • Posts: 1442
    • CenizaSOFT
Re: Code::Blocks doesn't compile on Ubuntu Linux with wx 2.5
« Reply #46 on: July 29, 2005, 06:39:37 pm »
HEAD is more recent than VERSION_1_0 and it's the one using wxDockIt and it's present in HEAD because it's Code::Blocks's future! :wink:

wxDockIt was introduced to Code::Blocks when it was branched in CVS (well, I think that was the main reason to branch it), so HEAD is something like "testing" or "unstable" and VERSION_1_0 is "stable" :)

[edit]
Ok, about my compilation process: I finished compiling Code::Blocks CVS VERSION_1_0, but couldn't try it 'cause I had to turn off my 'puter and remove 512 of 768MB of RAM and 256MB aren't enough for XP (it's heavily using swap) even less to run both XP and an emulated Linux. I hope in a few hours arrive the 3x256MB so I'll have plenty of RAM (1GB!!! :wink:) to run it, test it and put my hands in the help plugin there.
[/edit]
« Last Edit: July 29, 2005, 06:53:38 pm by Ceniza »

Offline Funto

  • Multiple posting newcomer
  • *
  • Posts: 81
Re: Code::Blocks doesn't compile on Ubuntu Linux with wx 2.5
« Reply #47 on: July 29, 2005, 07:31:45 pm »
Ok, I thought wxDockIt was the past and that the Code::Blocks project decided to give up it...

Quote
an emulated Linux
-> wouldn't it be better to install a real distrib? ;)

It seems that there are really more Windows C::B developers that Linux ones...

Offline rickg22

  • Lives here!
  • ****
  • Posts: 2283
Re: Code::Blocks doesn't compile on Ubuntu Linux with wx 2.5
« Reply #48 on: July 29, 2005, 07:34:38 pm »
Ceniza, why don't you install CoLinux?

Offline Ceniza

  • Developer
  • Lives here!
  • *****
  • Posts: 1442
    • CenizaSOFT
Re: Code::Blocks doesn't compile on Ubuntu Linux with wx 2.5
« Reply #49 on: July 29, 2005, 08:06:05 pm »
Quote from: Funto
wouldn't it be better to install a real distrib?

I have a real one installed, but in a 233MMX, a really bad choice to develop and work with heavy libraries such as wxWidgets.

Installing it in my P4 would be a waste of space and a waste of hardware too. I have nothing against Linux, it's nice, but it still needs more support, mainly for drivers, so I stick with Windows.

Actually, it runs pretty nice emulated, but just today ran out of RAM.

Quote from: rickg22
Ceniza, why don't you install CoLinux?

I've just checked the site, some links, the Wiki and looks nice, but I'm still low of RAM. I'll download it later and give it a try when I have the time.

BTW, thanks for it :)

Offline Funto

  • Multiple posting newcomer
  • *
  • Posts: 81
Re: Code::Blocks doesn't compile on Ubuntu Linux with wx 2.5
« Reply #50 on: July 29, 2005, 08:26:01 pm »
You could install a small distrib which doesn't take a lot of place...

You know, Ubuntu fits in one CD, and if there are applications you don't want you can simply remove them with Synaptic...

Offline Ceniza

  • Developer
  • Lives here!
  • *****
  • Posts: 1442
    • CenizaSOFT
Re: Code::Blocks doesn't compile on Ubuntu Linux with wx 2.5
« Reply #51 on: July 30, 2005, 12:31:41 am »
Ok, got the RAM, now I have plenty of memory, but even VERSION_1_0 is crashing.

It seems like Linux is refusing the help plugin...

subflood

  • Guest
Re: Code::Blocks doesn't compile on Ubuntu Linux with wx 2.5
« Reply #52 on: July 30, 2005, 05:37:31 am »
Hello I too am using Ubuntu and have compiled codeblocks successfully however, after compiling I try and run update: ./update but I get this: bad interpreter: No such file or directory

If I go to the devel directory and try to execute codeblocks I get: ./codeblocks.exe: error while loading shared libraries: libwx_gtk2-2.4.so: cannot open shared object file: No such file or directory

Offline mandrav

  • Project Leader
  • Administrator
  • Lives here!
  • *****
  • Posts: 4291
    • Code::Blocks IDE
Re: Code::Blocks doesn't compile on Ubuntu Linux with wx 2.5
« Reply #53 on: July 30, 2005, 10:13:46 am »
Hello I too am using Ubuntu and have compiled codeblocks successfully however, after compiling I try and run update: ./update but I get this: bad interpreter: No such file or directory

If I go to the devel directory and try to execute codeblocks I get: ./codeblocks.exe: error while loading shared libraries: libwx_gtk2-2.4.so: cannot open shared object file: No such file or directory

Try dos2unix on the update script (check the wiki for more info).
Update must be run before you can run C::B.

Yiannis.
Be patient!
This bug will be fixed soon...

Offline Funto

  • Multiple posting newcomer
  • *
  • Posts: 81
Re: Code::Blocks doesn't compile on Ubuntu Linux with wx 2.5
« Reply #54 on: July 30, 2005, 11:55:10 am »
Quote
libwx_gtk2-2.4.so: cannot open shared object file: No such file or directory
When you installed wxWidgets, did it install itself in the /usr/local/lib directory? (it's the default setting, to override this you should add the --prefix=/your/directory).
If this is the case, you should edit /etc/ld.so.conf and add /usr/local/lib to this file, so that the .so will be found :)

Offline mandrav

  • Project Leader
  • Administrator
  • Lives here!
  • *****
  • Posts: 4291
    • Code::Blocks IDE
Re: Code::Blocks doesn't compile on Ubuntu Linux with wx 2.5
« Reply #55 on: July 30, 2005, 12:01:56 pm »
Quote
libwx_gtk2-2.4.so: cannot open shared object file: No such file or directory
When you installed wxWidgets, did it install itself in the /usr/local/lib directory? (it's the default setting, to override this you should add the --prefix=/your/directory).
If this is the case, you should edit /etc/ld.so.conf and add /usr/local/lib to this file, so that the .so will be found :)

After you edit /etc/ld.so.conf don't forget to run "sudo ldconfig" to update the linker's cache.

Yiannis.
Be patient!
This bug will be fixed soon...

subflood

  • Guest
Re: Code::Blocks doesn't compile on Ubuntu Linux with wx 2.5
« Reply #56 on: July 30, 2005, 08:15:21 pm »
Ok I did that but then when I tried to run it again I got something about it couldn't find libcodeblocks.so so, I copied libcodeblocks.so  to /usr/lib I think and It works now.

Offline Ceniza

  • Developer
  • Lives here!
  • *****
  • Posts: 1442
    • CenizaSOFT
Re: Code::Blocks doesn't compile on Ubuntu Linux with wx 2.5
« Reply #57 on: August 01, 2005, 04:38:41 am »
Ok, I just compiled Code::Blocks with wxWidgets 2.4.2 under Linux and it seems to, finally, be working. Just a few Gtk-CRITICAL when I quit.

It's a shame I'm low of time right now 'cause I would like to try compiling HEAD (as I said, it compiled with wxWidgets 2.6.1 but crashes, same for VERSION_1_0) and tomorrow begins a new semester @ college so I should get in bed soon.

Anyway, I hope to get some time soon to make some tests for the help plugin.

BTW, now the emulated Linux isn't a problem: 1GB DDR3200 dual channel + P4 3.0GHz 800MHz FSB HT :)

Offline Funto

  • Multiple posting newcomer
  • *
  • Posts: 81
Re: Code::Blocks doesn't compile on Ubuntu Linux with wx 2.5
« Reply #58 on: August 01, 2005, 04:19:35 pm »
I've got the Gtk-CRITICALs too, and they're even followed by a segfault :(

Offline fiammy

  • Multiple posting newcomer
  • *
  • Posts: 46
    • Nebulagame
Re: Code::Blocks doesn't compile on Ubuntu Linux with wx 2.5
« Reply #59 on: August 03, 2005, 04:09:37 pm »
What do you use as building command for configure? I get the errors that are associated with Unicode when I try to build it with wxWidgets 2.6.1

Thanks